For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList all refunds on an order
          • POSTCreate a refund adjustment on an order
          • GETGet details of a single refund
          • POSTApply a refund on an return
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Refunds

List all refunds on an order

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/refunds
GET
/api/v2/orders/:order-id/refunds
$curl https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "cancellations": [
3 {
4 "id": "109872189273617283",
5 "cp_refund_number": "REFUND-1234",
6 "refund_lines": [
7 {
8 "feedamp_order_line_id": "109872189273617283",
9 "refund_reason": "customer_cancelled",
10 "refund_line_number": "XX-111-FF-1111",
11 "refund_quantity": 1,
12 "currency": "USD",
13 "item_refund": 1.99,
14 "item_tax_refund": 0.19,
15 "shipping_refund": 2,
16 "shipping_tax_refund": 0.2,
17 "discount_refund": 1,
18 "refund_notes": "Courtesy refund - thank you for your business"
19 }
20 ]
21 }
22 ]
23}
Get all the refund adjustments created for the specifed order
Was this page helpful?
Previous

Delete a cancellation

Next

Create a refund adjustment on an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Response

An array refund objects
cancellationslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error